polybori::Interpreter Class Reference

`#include <embed.h>`

## Public Member Functions

| ~Interpreter ()
| Destructor. More...

## Static Public Member Functions

static void | init ()
static boost::python::object & | globals ()
| acces corresponding context More...

## Detailed Description

This class initializes and finalized the python interpreter.

It also imports polybori and stores the main context.

Note
  If the polybori python module is not at default location you may set the macro PBORI_PYTHONPATH accordingly (before including this header).

## Constructor & Destructor Documentation

polybori::Interpreter::~Interpreter | ( |  | ) |

inline

Destructor.

## Member Function Documentation

static boost::python::object& polybori::Interpreter::globals | ( |  | ) |

inline static

acces corresponding context

static void polybori::Interpreter::init | ( |  | ) |

inline static

Initialize unique (singleton) python interpreter instance, and set Singular type identifier

The documentation for this class was generated from the following file:

- embed.h